| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Enumerations | Functions
Power Monitoring
bladeRF2-specific API » Low-level accessors

## Description

## Enumerations
enum | bladerf_pmic_register { BLADERF_PMIC_CONFIGURATION , BLADERF_PMIC_VOLTAGE_SHUNT , BLADERF_PMIC_VOLTAGE_BUS , BLADERF_PMIC_POWER , BLADERF_PMIC_CURRENT , BLADERF_PMIC_CALIBRATION }

## Functions
API_EXPORT int CALL_CONV | bladerf_get_pmic_register (struct bladerf *dev, bladerf_pmic_register reg, void *val)

## Enumeration Type Documentation

## ◆ bladerf_pmic_register

enum bladerf_pmic_register

Register identifiers for PMIC

Enumerator
BLADERF_PMIC_CONFIGURATION | Configuration register (uint16_t)
BLADERF_PMIC_VOLTAGE_SHUNT | Shunt voltage (float)
BLADERF_PMIC_VOLTAGE_BUS | Bus voltage (float)
BLADERF_PMIC_POWER | Load power (float)
BLADERF_PMIC_CURRENT | Load current (float)
BLADERF_PMIC_CALIBRATION | Calibration (uint16_t)

Definition at line 493 of file bladeRF2.h.

## Function Documentation

## ◆ bladerf_get_pmic_register()

API_EXPORT int CALL_CONV bladerf_get_pmic_register | ( | struct bladerf * | dev,
|  | bladerf_pmic_register | reg,
|  | void * | val )

Read value from Power Monitor IC

Reference: http://www.ti.com/product/INA219

Parameters

  | dev | Device handle
  [in] | reg | Register to read from
  [out] | val | Value read from PMIC

Returns
  0 on success, value from Error codes list on failure